Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dataobject
Class ClaimDO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
          org.wso2.solutions.identity.persistence.dataobject.ClaimDO

    public class ClaimDO

extends AbstractDataObject

Field Summary
`static java.lang.String` | `DAFAULT_ATTR_ID`

Constructor Summary
`ClaimDO()`

Method Summary
`void` | `addClaimValue(ClaimValueDO value)`
`java.lang.String` | `getAttrId()`
`java.util.Set` | `getClaimValues()`
`java.lang.String` | `getDescription()`
`DialectDO` | `getDialect()`
`java.lang.String` | `getDisplayTag()`
`java.lang.String` | `getUri()`
`boolean` | `isMapped()`
`boolean` | `isSimple()`
`boolean` | `isSupported()`
`boolean` | `isUserEditable()`
`void` | `setAttrId(java.lang.String attrId)`
`void` | `setClaimValues(java.util.Set claimValues)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDialect(DialectDO dialect)`
`void` | `setDisplayTag(java.lang.String displayTag)`
`void` | `setSimple(boolean simple)`
`void` | `setSupported(boolean supported)`
`void` | `setUri(java.lang.String uri)`
`void` | `setUserEditable(boolean userEditable)`

Methods inherited from class org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DAFAULT_ATTR_ID

    public static final java.lang.String DAFAULT_ATTR_ID

See Also:
  Constant Field Values

Constructor Detail

### ClaimDO

    public ClaimDO()

Method Detail

### getAttrId

    public java.lang.String getAttrId()

### setAttrId

    public void setAttrId(java.lang.String attrId)

### addClaimValue

    public void addClaimValue(ClaimValueDO value)

### isSimple

    public boolean isSimple()

### setSimple

    public void setSimple(boolean simple)

### getClaimValues

    public java.util.Set getClaimValues()

### setClaimValues

    public void setClaimValues(java.util.Set claimValues)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getDisplayTag

    public java.lang.String getDisplayTag()

### setDisplayTag

    public void setDisplayTag(java.lang.String displayTag)

### getUri

    public java.lang.String getUri()

### setUri

    public void setUri(java.lang.String uri)

### isUserEditable

    public boolean isUserEditable()

### setUserEditable

    public void setUserEditable(boolean userEditable)

### isSupported

    public boolean isSupported()

### isMapped

    public boolean isMapped()

### setSupported

    public void setSupported(boolean supported)

### getDialect

    public DialectDO getDialect()

### setDialect

    public void setDialect(DialectDO dialect)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD